[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [pkg-wine-party] Bug#535153: libc6: breaks wine upon upgrade, should have Breaks: wine

On Sat, Jul 11, 2009 at 01:14:52PM +0200, Ove Kaaven wrote:
> Aurelien Jarno skrev:
> > Any news on that? Should we make the unstable version of wine not
> > installable, or should we simply close this bug?
> I'm not entirely sure whether you mean unstable as in "sid" (where the
> stable version of Wine, 1.0.*, is), or as in Wine 1.1.* in experimental.
> There's no reason to make Wine 1.0.* uninstallable. It uses /usr/lib,
> not /usr/lib32, and is therefore unaffected by the transition. (I could
> change that, but don't see much point.) Being the current stable release
> of Wine, it is likely to stay there for a while, and with very few
> updates, if any.
> There are issues in experimental, though. I initially made it install
> into /usr/lib32 instead of /usr/lib as a bit of an experiment (in
> anticipation of Wine's 64-bit version), before the transitions began.
> I'll add a Pre-Depends if the Wine packages continue to use /usr/lib32,
> though maybe it won't (I might multiarchify it instead). And when Wine
> 1.1.* goes into unstable, it will probably also be under different
> package names.
> (I would have uploaded such a fixed Wine package already, but right now
> it's a bit difficult to upload any Wine, given the ia32-libs situation.)
> In any case, there won't be broken Wine packages (regarding this, at
> least..) in unstable. And in experimental, I'll just tell anyone who
> asks to reinstall the Wine debs (which works). I'd suggest you ignore
> the problem (close the bug).

Ok, thanks for the explanations, closing the bug.

Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net

Reply to: